MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002798ATutor- no cat -public2006-10-30 11:002006-11-20 05:04
Reporteruser2 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3.3 
Summary0002798: timestamp
Descriptionconvert all datetime (and possibly some date) fields to timestamps.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Filestxt file icon timestamps.txt [^] (1,610 bytes) 2006-11-01 07:18 [Show Content]

- Relationships
parent of 0000996closeduser2 floating time stamp 

-  Notes
(0002232)
user2
2006-10-30 11:18

from 4.1.1 on --sql-mode=MAXDB must be disabled (if enabled TIMESTAMP is identical to DATETIME) when the tables are created.

pre 4.1.2 all updates to a row will update the TIMESTAMP field, including initial inserts, unless a non-null value is specified.

from 4.1.2 on table field created with DEFAULT CURRENT_TIMESTAMP with no ON UPDATE results in the field not being updated when the row updates.

from 4.1.3 time zone can be specified per connection.
(0002233)
user2
2006-10-30 11:20

for all versions set the timestamp field to itself avoids updating.

- Issue History
Date Modified Username Field Change
2006-10-30 11:00 user2 New Issue
2006-10-30 11:00 user2 Affects version => SVN
2006-10-30 11:00 user2 Relationship added parent of 0000996
2006-10-30 11:18 user2 Note Added: 0002232
2006-10-30 11:20 user2 Note Added: 0002233
2006-11-01 07:18 user2 File Added: timestamps.txt
2006-11-01 07:21 user2 Status new => resolved
2006-11-01 07:21 user2 Fixed in Version => 1.5.4
2006-11-01 07:21 user2 Resolution open => fixed
2006-11-01 07:21 user2 Assigned To => user2
2006-11-20 05:04 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker